package com.loit.mybatis.example.service;


import com.loit.mybatis.example.entity.TStorage;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
@Slf4j
public class ITStorageServiceTest {

    @Resource(name = "iTStorageService")
    private ITStorageService itStorageService;


    @Test
    public void testFindAll() {
        List<TStorage> allDate = itStorageService.findAll();
        log.info(allDate.toString());
    }

    @Test
    public void testFindPage() {
        List<TStorage> allDate = itStorageService.findPage(0L, 20L);
        log.info(allDate.toString());
    }


    @Test
    public void testGetById() {
        TStorage storage = itStorageService.getById(1);
        log.info(storage.toString());
    }
}
